FUNCTION TEMPL(3)

NAME
boost::operator<< - Provides streaming output for variant types.

SYNOPSIS

// In header: <boost/variant/variant.hpp>
template<typename ElemType, typename Traits, typename T1, typename T2, ...,
         typename TN>
  std::basic_ostream<ElemType,Traits> &
  operator<<(std::basic_ostream<ElemType,Traits> & out,
             const variant<T1, T2, ..., TN> & rhs);

DESCRIPTION

Requires:
    Every bounded type of the variant must fulfill the requirements of the OutputStreamable concept.

Effects:
    Calls out << x, where x is the content of rhs.

Notes:
    Not available when BOOST_NO_IOSTREAM is defined.